com.airbnb.android.react.maps

## Class AirMapMarkerManager

- java.lang.Object
- - <any>
  - - com.airbnb.android.react.maps.AirMapMarkerManager

    public class AirMapMarkerManager
    extends <any>

### Constructor Summary

Constructors
Constructor and Description
`AirMapMarkerManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addView(AirMapMarker parent, android.view.View child, int index)`
`LayoutShadowNode` `createShadowNodeInstance()`
`AirMapMarker` `createViewInstance(ThemedReactContext context)`
`java.util.Map<java.lang.String,java.lang.Integer>` `getCommandsMap()`
`java.util.Map` `getExportedCustomDirectEventTypeConstants()`
`java.lang.String` `getName()`
`void` `receiveCommand(AirMapMarker view, int commandId, ReadableArray args)`
`void` `removeViewAt(AirMapMarker parent, int index)`
`void` `setAnchor(AirMapMarker view, ReadableMap map)`
`void` `setCalloutAnchor(AirMapMarker view, ReadableMap map)`
`void` `setCoordinate(AirMapMarker view, ReadableMap map)`
`void` `setDescription(AirMapMarker view, java.lang.String description)`
`void` `setDraggable(AirMapMarker view, boolean draggable)`
`void` `setFlat(AirMapMarker view, boolean flat)`
`void` `setIdentifier(AirMapMarker view, java.lang.String identifier)`
`void` `setImage(AirMapMarker view, java.lang.String source)`
`void` `setMarkerRotation(AirMapMarker view, float rotation)`
`void` `setPinColor(AirMapMarker view, int pinColor)`
`void` `setTitle(AirMapMarker view, java.lang.String title)`
`void` `updateExtraData(AirMapMarker view, java.lang.Object extraData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapMarkerManager

    public AirMapMarkerManager()

### Method Detail

#### getName

    public java.lang.String getName()

#### createViewInstance

    public AirMapMarker createViewInstance(ThemedReactContext context)

#### setCoordinate

    public void setCoordinate(AirMapMarker view,
                              ReadableMap map)

#### setTitle

    public void setTitle(AirMapMarker view,
                         java.lang.String title)

#### setIdentifier

    public void setIdentifier(AirMapMarker view,
                              java.lang.String identifier)

#### setDescription

    public void setDescription(AirMapMarker view,
                               java.lang.String description)

#### setAnchor

    public void setAnchor(AirMapMarker view,
                          ReadableMap map)

#### setCalloutAnchor

    public void setCalloutAnchor(AirMapMarker view,
                                 ReadableMap map)

#### setImage

    public void setImage(AirMapMarker view,
                         java.lang.String source)

#### setPinColor

    public void setPinColor(AirMapMarker view,
                            int pinColor)

#### setMarkerRotation

    public void setMarkerRotation(AirMapMarker view,
                                  float rotation)

#### setFlat

    public void setFlat(AirMapMarker view,
                        boolean flat)

#### setDraggable

    public void setDraggable(AirMapMarker view,
                             boolean draggable)

#### addView

    public void addView(AirMapMarker parent,
                        android.view.View child,
                        int index)

#### removeViewAt

    public void removeViewAt(AirMapMarker parent,
                             int index)

#### getCommandsMap

    public java.util.Map<java.lang.String,java.lang.Integer> getCommandsMap()

#### receiveCommand

    public void receiveCommand(AirMapMarker view,
                               int commandId,
                               ReadableArray args)

#### getExportedCustomDirectEventTypeConstants

    public java.util.Map getExportedCustomDirectEventTypeConstants()

#### createShadowNodeInstance

    public LayoutShadowNode createShadowNodeInstance()

#### updateExtraData

    public void updateExtraData(AirMapMarker view,
                                java.lang.Object extraData)